RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter Struct Reference

`#include <ROMol.h>`

## Public Member Functions

| CXXAtomIter (Graph *graph, Iterator pos)
Vertex & | operator* ()
CXXAtomIter & | operator++ ()
bool | operator!= (const CXXAtomIter &it) const

## Public Attributes

Graph * | graph
Iterator | pos
Atom * | current

## Detailed Description

### template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>
struct RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter

Definition at line 112 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXAtomIter()

template<class Graph , class Vertex , class Iterator = typename Graph::vertex_iterator>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::CXXAtomIter | ( | Graph * | graph,
|  | Iterator | pos
| ) |  |

inline

Definition at line 117 of file ROMol.h.

## Member Function Documentation

## operator!=()

template<class Graph , class Vertex , class Iterator = typename Graph::vertex_iterator>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator!= | ( | const CXXAtomIter & | it | ) | const

inline

Definition at line 128 of file ROMol.h.

References RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::pos.

## operator*()

template<class Graph , class Vertex , class Iterator = typename Graph::vertex_iterator>

Vertex& RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator* | ( |  | ) |

inline

Definition at line 120 of file ROMol.h.

References RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::current, and RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::pos.

## operator++()

template<class Graph , class Vertex , class Iterator = typename Graph::vertex_iterator>

CXXAtomIter& RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator++ | ( |  | ) |

inline

Definition at line 124 of file ROMol.h.

References RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::pos.

## Member Data Documentation

## current

template<class Graph , class Vertex , class Iterator = typename Graph::vertex_iterator>

Atom* RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::current

Definition at line 115 of file ROMol.h.

Referenced by RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator*().

## graph

template<class Graph , class Vertex , class Iterator = typename Graph::vertex_iterator>

Graph* RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::graph

Definition at line 113 of file ROMol.h.

## pos

template<class Graph , class Vertex , class Iterator = typename Graph::vertex_iterator>

Iterator RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::pos

Definition at line 114 of file ROMol.h.

Referenced by RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator!=(), RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator*(), and RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator++().

The documentation for this struct was generated from the following file:

- ROMol.h